Summary: Lzip is a lossless file compressor based on the LZMA algorithm
Name: lzip
Version: 1.24.1
Release: 1%{?dist}
License: GPL-2.0-or-later
Group: System Environment/Base
URL: https://www.nongnu.org/lzip/lzip.html
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires: gcc-c++
Requires(post,preun): /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Lzip is a lossless data compressor based on the LZMA algorithm,
with very safe integrity checking and a user interface almost identical
to the one of bzip2. Lzip is only a data compressor, not an archiver.
It has no facilities for multiple files, encryption, or archive-splitting,
but, in the Unix tradition, relies on utilities such as GNU Tar for
these tasks. Lzip is very well suited for software distribution.

%prep
%setup -q

%build
%configure CXXFLAGS="$CXXFLAGS" LDFLAGS="$LDFLAGS"
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

# installed, but not packaged in rpm
%{__rm} -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || &> /dev/null
exit 0

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || &> /dev/null
fi
exit 0

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info*

%changelog
* Sat Mar 02 2024 Simon Matter <simon.matter@invoca.ch> 1.24.1-1
- upgrade to 1.24.1

* Wed Jan 31 2024 Simon Matter <simon.matter@invoca.ch> 1.24-1
- upgrade to 1.24

* Thu Feb 03 2022 Simon Matter <simon.matter@invoca.ch> 1.23-1
- upgrade to 1.23

* Mon Jan 11 2021 Simon Matter <simon.matter@invoca.ch> 1.22-1
- upgrade to 1.22

* Mon Jan 14 2019 Simon Matter <simon.matter@invoca.ch> 1.21-1
- upgrade to 1.21

* Thu Feb 15 2018 Simon Matter <simon.matter@invoca.ch> 1.20-1
- upgrade to 1.20

* Mon May 01 2017 Simon Matter <simon.matter@invoca.ch> 1.19-1
- upgrade to 1.19

* Sat Jun 04 2016 Simon Matter <simon.matter@invoca.ch> 1.18-1
- upgrade to 1.18

* Fri Jul 24 2015 Simon Matter <simon.matter@invoca.ch> 1.17-1
- upgrade to 1.17

* Mon Dec 22 2014 Simon Matter <simon.matter@invoca.ch> 1.16-1
- upgrade to 1.16

* Wed Oct 02 2013 Simon Matter <simon.matter@invoca.ch> 1.15-1
- upgrade to 1.15

* Fri Jun 07 2013 Simon Matter <simon.matter@invoca.ch> 1.14-1
- upgrade to 1.14

* Wed Mar 14 2012 Simon Matter <simon.matter@invoca.ch> 1.13-1
- upgrade to 1.13

* Mon May 09 2011 Simon Matter <simon.matter@invoca.ch> 1.12-1
- upgrade to 1.12

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.11-2
- mass rebuild

* Mon Sep 27 2010 Simon Matter <simon.matter@invoca.ch> 1.11-1
- upgrade to 1.11

* Thu Apr 08 2010 Simon Matter <simon.matter@invoca.ch> 1.10-1
- upgrade to 1.10

* Tue Jan 19 2010 Simon Matter <simon.matter@invoca.ch> 1.9-1
- upgrade to 1.9

* Fri Sep 04 2009 Simon Matter <simon.matter@invoca.ch> 1.8-1
- upgrade to 1.8

* Wed Jul 29 2009 Simon Matter <simon.matter@invoca.ch> 1.7-1
- upgrade to 1.7

* Tue Jun 23 2009 Simon Matter <simon.matter@invoca.ch> 1.6-1
- upgrade to 1.6

* Fri Apr 17 2009 Simon Matter <simon.matter@invoca.ch> 1.5-2
- cosmetic spec changes

* Thu Apr 16 2009 Simon Matter <simon.matter@invoca.ch> 1.5-1
- upgrade to 1.5

* Mon Jan 26 2009 Simon Matter <simon.matter@invoca.ch> 1.4-1
- upgrade to 1.4

* Tue Dec 23 2008 Simon Matter <simon.matter@invoca.ch> 1.3-1
- upgrade to 1.3

* Thu Dec 11 2008 Simon Matter <simon.matter@invoca.ch> 1.2-1
- upgrade to 1.2

* Wed Nov 19 2008 Simon Matter <simon.matter@invoca.ch> 1.1-1
- upgrade to 1.1

* Wed Oct 15 2008 Simon Matter <simon.matter@invoca.ch> 1.0-1
- initial package
